Bug 77600

Summary: notificationarea draws the icon badly on menupanels. Its like the applet thinks it is larger than it is.
Product: [Retired] Red Hat Linux Reporter: Need Real Name <blurk>
Component: gnome-panelAssignee: Havoc Pennington <hp>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0Keywords: MoveUpstream
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
URL: http://w1.370.telia.com/~u37006850/notificationarea.png
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2002-12-14 06:38:05 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 79600    

Description Need Real Name 2002-11-10 06:36:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021018

Description of problem:
I deleted the panel that RedHat supplied me with in RH8.0 and created a
menupanel instead and added a notificationarea to that menupanel. Now the
notificationarea-applet draws the icon in the area wrong. Its like it thinks it
is larger than it is. The picture in the supplied URL shows the gnomeicuicon
beeing drawed at the top of the area so only the bottom of the icon is showed.
This happens all the time with the menupanel. Also it happens with the
authorizationicon. I cant test more application that uses the notificationarea
since i do not know about more programs that uses it.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Delete the supplied panel with RH 8.0
2. Add a menupanel and a notificationarea on that panel.
3. See the icons on the area get drawn badly.
	

Actual Results:  The icons do not draw correct. I only see the bottom half of
them :(

Expected Results:  The notificationarea should know about the menupanels size
and draw the icons correctly. 

Additional info:
Comment 1 Havoc Pennington 2002-12-13 16:56:54 EST
I believe this is actually a bug in the icons themselves (e.g. gnomeicu),
in that they don't resize on receiving a smaller size allocation. But I could be
wrong.
Comment 2 Need Real Name 2002-12-14 06:38:05 EST
Yes, that is probably true. It workes now, dont tell me how i did it, but i
belive it is becaus i restarted the computer.  So i'l delete this bug here. 
/kent.
Comment 3 Havoc Pennington 2002-12-16 13:21:25 EST
Changing to MoveUpstream keyword instead of GnomeUpstream tracking bug.
sorry about the spam.